use std::time::Duration;

use luz::{CommandMessage, LuzHandle};
use sqlx::SqlitePool;
use tokio::io::{AsyncReadExt, AsyncWriteExt};

#[tokio::main]
async fn main() {
    tracing_subscriber::fmt::init();
    let db = SqlitePool::connect("./luz.db").await.unwrap();
    let (luz, mut recv) =
        LuzHandle::new("test@blos.sm".try_into().unwrap(), "slayed".to_string(), db);

    tokio::spawn(async move {
        while let Some(msg) = recv.recv().await {
            println!("{:#?}", msg)
        }
    });

    luz.send(CommandMessage::Connect).await.unwrap();
    luz.send(CommandMessage::GetRoster).await.unwrap();
    tokio::time::sleep(Duration::from_secs(15)).await;
}
